Subject: Re: [GSOC][PATCH] t4121: modernize test style

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Feb 2023 12:21:50 -0800

Vivan Garg <[email-masked]> writes:

> I'm not sure what you mean by "next re-roll," are you referring to v2? But
> then you said it was fine in this patch, so I'm confused. If I am going to be
> sending a v2, couldn't I just revert the last commit and add this change to the
> same commit?

I am not Victoria, but I think

 * You had two (or more) changes in your patch.

 * She found one of them is good.

 * The other one(s) were found lacking.

When a patch is reviewed and found to be lacking (as a whole), and
if you agree with the issues pointed out by the review(s), you'd
redo the patch (with either "commit --amend" for a single patch, or
"rebase -i" for a series with multiple patches), and produce v2, as
if v1 never happened.  The act of doing so is colloquially called
"to reroll".

Documentation/MyFirstContribution.txt::[[now-what]] may have more
details.

Thanks.